summaryrefslogtreecommitdiff
path: root/tsp
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2016-11-09 14:19:10 +0100
committerAleksander Mistewicz <a.mistewicz@samsung.com>2017-01-16 11:07:49 +0100
commit6caf77cc5abde04c275205b02ccd7b2facbab066 (patch)
treefbb2b6b8ce8b13bbbd15976b3865fa642f1d3e14 /tsp
parentf8b69ce893e557e5640ec26169258d94e7887285 (diff)
downloadmajor-6caf77cc5abde04c275205b02ccd7b2facbab066.tar.gz
major-6caf77cc5abde04c275205b02ccd7b2facbab066.tar.bz2
major-6caf77cc5abde04c275205b02ccd7b2facbab066.zip
Use different timestamp for each crawl
Change-Id: I756a9ed6a722c9a0de99430aa6f042e4cca0130e Signed-off-by: Aleksander Mistewicz <a.mistewicz@samsung.com>
Diffstat (limited to 'tsp')
-rwxr-xr-xtsp/jobs/trigger_downloads.sh7
-rwxr-xr-xtsp/jobs/watcher.sh4
2 files changed, 6 insertions, 5 deletions
diff --git a/tsp/jobs/trigger_downloads.sh b/tsp/jobs/trigger_downloads.sh
index 53c12a2..648e89a 100755
--- a/tsp/jobs/trigger_downloads.sh
+++ b/tsp/jobs/trigger_downloads.sh
@@ -21,19 +21,20 @@ export TSP_DIR="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)/.."
. "${TSP_DIR}/common.sh"
URL="$1"
+TIMESTAMP="$2"
test -n "${URL}" || die "Missing argument: url"
+test -n "${TIMESTAMP}" || die "Missing argument: timestamp"
mkdir -p "${WS_WATCHER}"
cd "${WS_WATCHER}"
# Create required files
touch dispatched_urls
-touch timestamp
-touch timestamp_snapshot
+touch "${TIMESTAMP}"
# Crawl given url
-timeout 240 "${TSP_DIR}/scripts/crawler.py" --log DEBUG "${URL}" || die "Crawl failed" "$?"
+timeout 240 "${TSP_DIR}/scripts/crawler.py" --timestamp "${TIMESTAMP}" --log DEBUG "${URL}" || die "Crawl failed" "$?"
# Read next buid_nr
touch next_dwn
diff --git a/tsp/jobs/watcher.sh b/tsp/jobs/watcher.sh
index 0580698..9f0cdea 100755
--- a/tsp/jobs/watcher.sh
+++ b/tsp/jobs/watcher.sh
@@ -21,5 +21,5 @@ export TSP_DIR="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)/.."
. "${TSP_DIR}/common.sh"
# Dispatch tsp/jobs/trigger_downloads.sh for common snapshot and prerelease urls
-tspoll -L SNAPSHOT sh "${TSP_DIR}/jobs/trigger_downloads.sh" "http://download.tizen.org/snapshots/tizen/common/"
-tspoll -L PRERELEASE sh "${TSP_DIR}/jobs/trigger_downloads.sh" "http://download.tizen.org/prerelease/tizen/common/"
+tspoll -L SNAPSHOT sh "${TSP_DIR}/jobs/trigger_downloads.sh" "http://download.tizen.org/snapshots/tizen/common/" tizen_4.0_snapshot
+tspoll -L PRERELEASE sh "${TSP_DIR}/jobs/trigger_downloads.sh" "http://download.tizen.org/prerelease/tizen/common/" tizen_4.0_prerelease